[20.10 FEAT| NVMe IPL support - installer part

Bug #1884769 reported by bugproxy
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners

Bug Description

With the Linux on Z feature "NVMe IPL support", PCI-attached NVMe block devices can be used as boot device for LPARs running Linux on Z (note: Fabric-Attached NVMe devices are excluded from this feature at this time). This includes:
- NVMe devices can be specified as load device on the HMC Load Panel
- Linux re-IPL interfaces accept NVMe devices as target for re-IPL (/sys/firmware/reipl and chreipl tool)
- The Linux zipl tool can be used to prepare an NVMe block device for IPL

To enable the use case of running Linux completely on PCI-attached NVMe storage without the need for an external storage server, Linux distribution installers need to provide a way for users to select block devices provided by PCI-attached NVMe devices as target for all types of installation directories and partitions including the /boot directory.

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-182473 severity-high targetmilestone-inin2010
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (fheimes)
affects: linux (Ubuntu) → s390-tools (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

And what is the s390-tools target version that comes with the tools and bootloader supporting NVMe devices? Will it be 2.14 (which fits to kernel 5.8?)
Will secure boot be supported on the NVMe devices?

Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Changed in s390-tools (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
Changed in ubuntu-z-systems:
importance: Undecided → High
Changed in s390-tools (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-07-13 05:15 EDT-------
(In reply to comment #6)
> And what is the s390-tools target version that comes with the tools and
> bootloader supporting NVMe devices? Will it be 2.14 (which fits to kernel
> 5.8?)

Yes, s390-tools support for NVMe IPL is already available in the post-v2.13 master branch and will be included in v2.14.

> Will secure boot be supported on the NVMe devices?

Yes.

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-21 08:23 EDT-------
Now s390-tools 2.14 is available, which is part of the NVMe ipl implementation.
The working on the installer can now be started.
IBM is interresting getting the installer as soon as possible for internal testing.

Many thanks in advance

Revision history for this message
Frank Heimes (fheimes) wrote :

Since we do not have a NVMe device in our system, nor support in our system for NVMe devices, we need more details about how a NVMe device is represented on s390x (I guess we can take some information from older LP tickets, where the general s390x NVMe support got addressed), in case there are any differences to NVMe devices on other architectures, and how zipl needs to be configured in this particular case.
Changes in the installer (especially if architecture specific) will take some time to be be implemented.

Revision history for this message
Frank Heimes (fheimes) wrote :

I'll remove the s390-tools part of this ticket, since it already addressed by LP 1884721 (hence would be a duplicate).

no longer affects: s390-tools (Ubuntu)
Revision history for this message
Michael Hudson-Doyle (mwhudson) wrote :

It's not obvious to me that any changes to the installer are required, assuming the NVMe drives present to udev etc in a similar way to they do on other architectures (it sounds like we might want some code to _prevent_ using Fabric-Attached NVMe devices as /boot, depending on how they in turn present to udev). And as as Frank says, we don't have access to such a system, so if you've tried it and something fails, we need logs.

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

Do NVMe devices need to be chzdev enabled, or do they just appear as attached and available?

Have you run current subiquity on a system with NVMe and are they not already presented for partitioning?

Can this be emulated using qemu?

What are the logs from subiqutiy / probert / curtin on systems with NVMe?

Revision history for this message
bugproxy (bugproxy) wrote : /var/log files

------- Comment on attachment From <email address hidden> 2020-09-02 05:14 EDT-------

Hi,
I manage to install Ubuntu 20.10 into the NVMe with the updated support.
I had zip the logs in /var/log from the NVMe after IPL for xnox.

Revision history for this message
Frank Heimes (fheimes) wrote :

Well, that is really good news.
So it worked out of the box with the groovy live installer and you didn't had to do any manual intervention, even not for installing the zipl bootloader? (Well, the zipl setup is quite generic, but otohs NVMe is quite new and different from a s390x pov...)
Fantastic...

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-09-04 03:53 EDT-------
IBM Bugzilla status->closed, verified by IBM.

Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Incomplete → Fix Released
no longer affects: subiquity
no longer affects: curtin
Frank Heimes (fheimes)
information type: Private → Public
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Bug attachments